<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetServerDetails](./bitburner.darknetserverdetails.md) &gt; [hasSession](./bitburner.darknetserverdetails.hassession.md)

## DarknetServerDetails.hasSession property

True if the current script has authenticated to this server with the right password using authenticate() or connectToSesssion()

**Signature:**

```typescript
hasSession: boolean;
```
